Requires read_products access scope.
For more info, refer to:
GET https://{handle}.myshopline.com/admin/openapi/v20261201/taxonomies.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .
Get the complete list of taxonomy collection nodes for a store.
Request Headers
  • Content-Type string required
    The field must be set to the fixed value application/json; charset=utf-8.
  • Authorization string required
    The access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.
    Example:
    Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
For the complete list of codes and messages, see Http status code.

Response Headers
  • traceId
    A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
  • taxonomiesobject[]
    A list of taxonomy collection nodes.
  • collection_id string
    The unique identifier for the collection.
    Example: 12257170618007271602093384
  • id string
    The unique identifier for the taxonomy collection node.
    Example: 7004220176356349981
  • parent_id string
    The unique identifier for the parent node.
    Example: 7004220176355548881
  • children array
    Child nodes (next-level nodes).
API Explorer
https://openapiceshidianpu.myshopline.com/admin/openapi/v20261201

ParamOptions

header required

Language

curl --request GET \
--url https://openapiceshidianpu.myshopline.com/admin/openapi/v20261201/taxonomies.json \
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA' \
--header 'Content-Type: application/json; charset=utf-8' \
--header 'accept: application/json'
Examples
Get all store taxonomy collection nodes
Response
{
"taxonomies": [
{
"children": [
{
"parentId": "6997483476011718673",
"children": [
{
"id": "6997498456723429410",
"parentId": "6997483859874420760",
"children": [],
"collectionId": "12249026592161154694000282"
},
{
"children": [
{
"children": [
{
"children": [
{
"children": [],
"collectionId": "12264578587222831342061690",
"id": "6997496949928106015",
"parentId": "6997496949928106014"
},
{
"children": [],
"collectionId": "12267068008085234731731690",
"id": "6997496949928106016",
"parentId": "6997496949928106014"
}
],
"collectionId": "12249521251322718219170282",
"id": "6997496949928106014",
"parentId": "6997498858017658916"
}
],
"collectionId": "12250548741701040660740282",
"id": "6997498858017658916",
"parentId": "6997498456723429411"
}
],
"collectionId": "12249544854208287027410282",
"id": "6997498456723429411",
"parentId": "6997483859874420760"
}
],
"collectionId": "12248721639068681442230282",
"id": "6997483859874420760"
},
{
"children": [],
"collectionId": "12265421699752389574051690",
"id": "6997483859874420764",
"parentId": "6997483476011718673"
},
{
"id": "6997483859874420765",
"parentId": "6997483476011718673",
"children": [],
"collectionId": "12267908620070404822911690"
}
],
"collection_id": "12264293718030103508231690",
"id": "6997483476011718673",
"parent_id": null
},
{
"children": [
{
"children": [],
"collectionId": "12267695199458002270651690",
"id": "6997496949928106017",
"parentId": "6997483476011718674"
}
],
"collection_id": "12264298869952930281631690",
"id": "6997483476011718674",
"parent_id": null
}
]
}
Was this article helpful to you?